// ADDRESS
.block-address-page {
    .header-address {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 30px 0;
        @media only screen and (max-width: 600px) {
            flex-wrap: wrap;
        }
        h1 {
            font-style: normal;
            font-weight: 600;
            font-size: 24px;
            line-height: 35px;
            /* identical to box height */
            letter-spacing: 0.01em;
            text-transform: uppercase;
            @media only screen and (max-width: 600px) {
                font-size: 20px;
                margin-bottom: 10px;
            }
        }
        .btn-add-address {
            background: $main-color;
            border-radius: 18px;
            height: 36px;
            display: inline-flex;
            align-items: center;
            padding: 0 35px;
            font-family: $roboto-font;
            font-style: normal;
            font-weight: 500;
            font-size: 14px;
            line-height: 17px;
            text-transform: uppercase;
            color: white;
            transform: rotate(0);
            transition: all 0.23s;
            svg {
                margin-right: 10px;
            }
            &:hover {
                opacity: 0.7;
                svg {
                    transform: rotate(180deg);
                    transition: all 0.23s;
                }
            }
        }
    }
    .elm-address {
        .user-address {
            padding: 35px 12px;
            background: #FFFFFF;
            box-shadow: inset 0px -1px 0px #F3F3F3, inset 0px 1px 0px #F3F3F3;
            .user-address-item {
                @media only screen and (max-width: 992px) {
                    margin-bottom: 40px;
                }
                .name {
                    margin-bottom: 15px;
                    strong {
                        font-style: normal;
                        font-weight: 600;
                        font-size: 16px;
                        line-height: 23px;
                        /* identical to box height */
                        text-transform: uppercase;
                    }
                    span.default {
                        font-family: Open Sans;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 12px;
                        line-height: 16px;
                        /* identical to box height */
                        text-transform: uppercase;
                        color: #969696;
                    }
                }
                .desc {
                    p {
                        span.type {
                            display: inline-block;
                            font-family: $roboto-font;
                            font-style: normal;
                            font-weight: normal;
                            font-size: 12px;
                            line-height: 16px;
                            /* identical to box height */
                            text-transform: uppercase;
                            color: $content-color-default;
                            min-width: 90px;
                        }
                        span.ct {
                            font-family: Open Sans;
                            font-style: normal;
                            font-weight: normal;
                            font-size: 14px;
                            line-height: 19px;
                            color: $text-color;
                        }
                    }
                }
                .action-address {
                    .btn {
                        background: $main-color;
                        border-radius: 2px;
                        outline: none;
                        box-shadow: none;
                        font-style: normal;
                        font-weight: 500;
                        font-size: 14px;
                        line-height: 17px;
                        text-align: center;
                        text-transform: uppercase;
                        color: white;
                        margin-right: 5px;
                    }
                    .btn-delete {
                        background-color: transparent;
                        color: $main-color;
                    }
                }
            }
            .form-payment {
                h6 {
                    font-style: normal;
                    font-weight: 600;
                    font-size: 14px;
                    line-height: 20px;
                    /* identical to box height */
                    text-transform: uppercase;
                    margin-bottom: 18px;
                }
                .form-group {
                    display: flex;
                    justify-content: space-between;
                    @media only screen and (max-width: 600px) {
                        flex-wrap: wrap;
                        margin-bottom: 0 !important;
                    }
                    .input-item {
                        position: relative;
                        height: 48px;
                        width: 100%;
                        @media only screen and (max-width: 600px) {
                            width: 100%;
                            margin-bottom: 20px;
                        }
                    }
                    .full {
                        width: 100%;
                    }
                    .mr-3 {
                        @media only screen and (max-width: 600px) {
                            width: 100%;
                            margin-right: 0 !important;
                            margin-bottom: 20px;
                        }
                        &:last-child {
                            margin-right: 0 !important;
                        }
                    }
                    label {
                        position: absolute;
                        top: 50%;
                        transform: translateY(-50%);
                        left: 10px;
                        font-family: $roboto-font;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 12px;
                        line-height: 17px;
                        transition: 0.2s all;
                        cursor: text;
                        color: $content-color-default;
                    }
                    input {
                        font-family: Roboto;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 14px;
                        line-height: 22px;
                        color: black;
                        padding-top: 18px;
                        padding-left: 10px;
                        padding-right: 10px;
                        height: 100%;
                        width: 100%;
                        background: #F9FAFB;
                        outline: none;
                        box-shadow: none;
                        border: 1px solid #E9E9E9;
                        box-sizing: border-box;
                        border-radius: 3px;
                    }
                    input:invalid {
                        outline: 0;
                        // color: #ff2300;
                        //   border-color: #ff2300;
                    }
                    input:focus,
                    input:valid {
                        // border-color: #00dd22;
                    }
                    input:focus~label,
                    input:valid~label {
                        top: 13px;
                    }
                    .custom-selectag-2 {
                        width: 100%;
                        position: relative;
                        font-family: $roboto-font;
                        label {
                            position: absolute;
                            top: 50%;
                            transform: translateY(-50%);
                            left: 10px;
                            font-family: $roboto-font;
                            font-style: normal;
                            font-weight: normal;
                            font-size: 12px;
                            line-height: 17px;
                            transition: 0.2s all;
                            cursor: text;
                            z-index: 99;
                        }
                        .tranf {
                            top: 13px !important;
                        }
                        select {
                            display: none;
                        }
                        .select-selected {
                            display: flex;
                            align-items: flex-end;
                            height: 48px;
                            padding: 4px 47px 4px 10px !important;
                            font-style: normal;
                            font-weight: normal;
                            font-family: $roboto-font;
                            font-size: 14px;
                            line-height: 22px;
                            color: black;
                            background: #F9FAFB;
                            /* border */
                            border: 1px solid #E9E9E9 !important;
                            box-sizing: border-box;
                            border-radius: 3px;
                            position: relative;
                            &::before {
                                position: absolute;
                                content: '';
                                top: 10px;
                                bottom: 10px;
                                width: 1px;
                                right: 45px;
                                ;
                                background-color: #C4C4C4;
                            }
                            &:after {
                                position: absolute;
                                content: "\f0d7";
                                top: 33%;
                                transform: translateY(-50%) !important;
                                right: 30px;
                                width: 0;
                                height: 0;
                                font-size: 18px;
                                font-family: 'FontAwesome';
                                color: $content-color-default;
                            }
                        }
                        .select-selected.select-arrow-active:after {
                            content: "\f0d8";
                        }
                        .select-items div,
                        .select-selected {
                            color: $text-color;
                            font-size: 14px;
                            padding: 3px 16px;
                            border-color: transparent transparent rgba(0, 0, 0, 0.1) transparent;
                            cursor: pointer;
                            user-select: none;
                            white-space: nowrap;
                        }
                        .select-items {
                            width: 100%;
                            position: absolute;
                            background: #F6F6F6;
                            box-shadow: 0px 2px 12px rgba(0, 0, 0, 0.30432);
                            border-radius: 7px;
                            padding: 8px 0;
                            top: 115%;
                            min-width: 150px;
                            left: auto;
                            right: 0;
                            z-index: 99;
                        }
                        .select-hide {
                            display: none;
                        }
                        .select-items div:hover,
                        .same-as-selected {
                            color: $main-color;
                        }
                    }
                    
                }
                .action-address {
                    .btn {
                        background: $main-color;
                        border-radius: 2px;
                        outline: none;
                        box-shadow: none;
                        font-style: normal;
                        font-weight: 500;
                        font-size: 14px;
                        line-height: 17px;
                        text-align: center;
                        text-transform: uppercase;
                        color: white;
                        margin-right: 5px;
                    }
                    .btn-delete {
                        background-color: transparent;
                        color: $main-color;
                    }
                }
                .custom-check {
                    display: block;
                    position: relative;
                    padding-left: 25px;
                    margin: 28px 0;
                    font-family: $opensans-font;
                    font-style: normal;
                    font-weight: normal;
                    font-size: 14px;
                    line-height: 16px;
                    /* identical to box height */
                    cursor: pointer;
                    color: $text-color;
                    -webkit-user-select: none;
                    -moz-user-select: none;
                    -ms-user-select: none;
                    user-select: none;
                    @media only screen and (max-width: 600px) {
                        padding-left: 0;
                    }
                    input {
                        position: absolute;
                        opacity: 0;
                        cursor: pointer;
                        &:checked~.checkmark {
                            background-color: $main-color;
                            border-color: $main-color;
                            &:after {
                                // background: #B9256A;
                            }
                        }
                        &:checked~.checkmark:after {
                            display: block;
                        }
                        &:checked~span {
                            // color: #B9256A;
                        }
                    }
                    /* Create a custom radio button */
                    .checkmark {
                        position: absolute;
                        top: 0;
                        left: 0;
                        height: 16px;
                        width: 16px;
                        font-size: 10px;
                        background-color: transparent;
                        border-radius: 2px;
                        box-sizing: border-box;
                        box-shadow: 0px 1px 0px rgba(22, 29, 37, 0.05);
                        &:after {
                            font-family: FontAwesome;
                            content: "\f00c";
                            position: absolute;
                            display: none;
                            top: 17%;
                            left: 45%;
                            color: white;
                            transform: translate(-50%, -50%);
                            width: 9px;
                            height: 7px;
                            background: transparent;
                        }
                    }
                    &:hover input~.checkmark {
                        // background-color: transparent;
                    }
                }
                .bs-select{
                    width: 100% !important;
                    .bootstrap-select{
                        width: 100% !important;
                    }
                    .selectpicker{
                        width: 100%;
                    }
                    .btn-light{
                        outline: none;
                        box-shadow: none;
                        height: 48px;
                        background: #F9FAFB;
                        border: 1px solid #E9E9E9;
                        font-family: "Roboto", sans-serif;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 12px;
                        line-height: 17px;
                        .filter-option-inner-inner{
                            // position: absolute;
                            // color: transparent;
                        }
                        &::before{
                            content: '';
                            position: absolute;
                            top: 50%;
                            transform: translateY(-50%);
                            right: 40px;
                            width: 1px;
                            height: 15px;
                            background-color: #969696;
                            transition: all 0.23s;
                        }
                        &::after{
                            position: absolute;
                            top: 50%;
                            right: 15px;
                            transform: translateY(-50%);
                            border-top: 0.4em solid;
                            border-right: .4em solid transparent;
                            border-bottom: 0;
                            border-left: 0.4em solid transparent;
                            color: $content-color-default !important;
                        }
                        &:focus,
                        &:valid{
                            // font-size: 14px;
                        }
                    }
                    .isShow,
                    .show{
                        .btn-light{
                            .filter-option-inner-inner{
                                // color: $text-color;
                            }
                            &::before{
                               
                            }
                        }
                    }
                    .dropdown-item{
                        font-family: "Roboto", sans-serif;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 12px;
                        line-height: 17px;
                    }
                }
            }
        }
    }
}

